#Main plot event, Orin Map, Orin's Symbol
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

def fireEvent(e):
    RingPlt1 = getTag(e, "RingPlt1")
    if (not isclearall(RingPlt1, 0x1)):
        return 0
    showMessage(e,
        ["You find upon the ground before you the remains of what appears to have been a Dwarf.",
         "How they remain relatively untouched by the fearsome creatures you've seen in this domain must be a part of the fearful magic of the Trial.",
         "",
         "As you look upon what must have been a great warrior, you see something gleaming out from beneath the bones..."],
        optionInput)
    giveItems(e, ["Orin's Axe"])
    RingPlt1 |= 0x1
    setTag(e, "RingPlt1", RingPlt1)
    return 0
